Bug 1256055 - Review Request: ghc-cryptonite - Cryptography Primitives sink
Review Request: ghc-cryptonite - Cryptography Primitives sink
Status: CLOSED DUPLICATE of bug 1488611
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1256056 1487900
Blocks: 1256083
  Show dependency treegraph
 
Reported: 2015-08-23 13:02 EDT by Ben Boeckel
Modified: 2017-09-05 16:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-05 16:22:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2015-08-23 13:02:22 EDT
Spec URL: http://benboeckel.net/packaging/ghc-cryptonite/ghc-cryptonite.spec
SRPM URL: http://benboeckel.net/packaging/ghc-cryptonite/ghc-cryptonite-0.6-1.fc24.src.rpm
Description:
A repository of cryptographic primitives.

* Symmetric ciphers: AES, DES, 3DES, Blowfish, Camellia, RC4, Salsa, ChaCha.

* Hash: SHA1, SHA2, SHA3, MD2, MD4, MD5, Kekkak, Skein, Ripemd, Tiger,
Whirlpool

* MAC: HMAC, Poly1305

* Assymmetric crypto: DSA, RSA, DH, ECDH, ECDSA, ECC, Curve25519, Ed25519

* Key Derivation Function: PBKDF2, Scrypt

* Cryptographic Random generation: System Entropy, Deterministic Random
Generator

* Data related: Anti-Forensic Information Splitter (AFIS)

This package strives to be a cryptographic kitchen sink that provides
cryptography for everyone.

Evaluate the security related to your requirements before using.

Fedora Account System Username: mathstuf
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10798268
Comment 1 Ben Boeckel 2015-08-23 16:17:32 EDT
Copr: https://copr.fedoraproject.org/coprs/mathstuf/git-annex/
Comment 3 Elliott Sales de Andrade 2017-08-23 22:33:47 EDT
Spec is 404 and very outdated.
Comment 4 Elliott Sales de Andrade 2017-09-05 16:22:15 EDT
Closing in favour of new review.

*** This bug has been marked as a duplicate of bug 1488611 ***

Note You need to log in before you can comment on or make changes to this bug.